root = true

[*.{yml,yaml}]
charset = utf-8
end_of_line = lf
insert_final_newline = true

[compose/**.yml]
indent_style = space
indent_size = 2

[compose/**.yaml]
indent_style = space
indent_size = 2

[docker-compose*.yml]
indent_style = space
indent_size = 2
[*.{js,jsx,mjs,cjs,ts,tsx,mts,cts,vue,css,scss,sass,less,styl}]
charset = utf-8
indent_size = 4
indent_style = space
insert_final_newline = true
trim_trailing_whitespace = true
end_of_line = lf
max_line_length = 100
